For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create order additional notes

Create additional notes, or comments, on orders. Define wether a notification is to be sent to the customer. The notification may be on email or SMS or both.

Required permissions: SALES_ORDER,RETURN_ORDER

post
/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/additional-notes
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
orderUidstringRequired

Reference to an Order.

Pattern: ^[A-Za-z0-9-_]+
Body
notestringRequired
orderAdditionalNoteUidstringOptionalPattern: ^[A-Za-z0-9-_]*
Responses
201

Example response

application/json
and
post/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/additional-notes
POST /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/additional-notes HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 101

{
  "note": "text",
  "notifications": [
    {
      "recipient": "text",
      "type": "EMAIL"
    }
  ],
  "orderAdditionalNoteUid": "text"
}
201

Example response

{
  "orderAdditionalNoteUid": "text",
  "note": "text",
  "tenantUserUid": "text",
  "tenantUserDisplayName": "text",
  "notifications": [
    {
      "notificationUid": "text",
      "type": "EMAIL",
      "state": "NOT_STARTED",
      "recipient": "text"
    }
  ],
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z"
}

Last updated

Was this helpful?